Skip to content

Summary

GET
/api/config/tenants/{tenant}/summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/tenants/example/summary \
--header 'Authorization: <Authorization>'

This API returns tenant summary.

Examples of this operation.

tenant
required
string

Tenant ID

Tenant ID.

A successful response.

Media typeapplication/json
SummaryResponse

Tenant Summary Response.

object
type
Type

Default VIP Type (dedicated/shared)

string
<= 1024 characters
vip
VIP

Default VIP.

string
<= 1024 characters
Examplegenerated
{
"type": "example",
"vip": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example